Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8331 - ls -l hangs on catalogs owned by removed users
Summary: ls -l hangs on catalogs owned by removed users
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-10 13:54 UTC by Xyvind Eide
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-11 15:07:24 UTC


Attachments (Terms of Use)

Description Xyvind Eide 2000-01-10 13:54:19 UTC
When ls -l is run on a catalog containing catalog(s) owned by users no
longer existing on the system, ls hangs and the memory usage of the job
grows until linux hangs because of high load.

Example:

The catalog /home contains the catalog mm owned by the user marius, who
were removed from the system earlier today.

... /home > ls -l

listes the catalogs before mm in the alphabet, then ls hangs.

The command

... /home > ls -l mm

works fine, it gives the number of the now removed owner as owner of the
catalog.

The problem also is created by ftp users doing a long ls.

Comment 1 Bernhard Rosenkraenzer 2000-01-11 15:07:59 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.